Bug 313211 - Review Request: kbiof - KDE port of the original BIOF XScreenSaver
Review Request: kbiof - KDE port of the original BIOF XScreenSaver
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marc Bradshaw
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-30 13:50 EDT by Ian Chapman
Modified: 2007-11-30 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-02 16:01:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Ian Chapman 2007-09-30 13:50:53 EDT
Spec URL: http://dribble.org.uk/reviews/kbiof.spec
SRPM URL: http://dribble.org.uk/reviews/kbiof-0.3-1.src.rpm

An OpenGL screensaver for KDE which displays 3D primitives in animated patterns

rpmlint info:
W: kbiof dangling-relative-symlink /usr/share/doc/HTML/en/kbiof/common ../common

This can be ignored and is normal for most KDE apps because it points to a file in another KDE package
Comment 1 Mamoru TASAKA 2007-10-01 09:53:22 EDT
This is for KDE screensaver only.
Comment 2 Marc Bradshaw 2007-10-02 06:50:18 EDT
OK -  Meets Packaging Guidelines.
OK -  Package named correctly
NA -  Patches named correctly
      No Patches
OK -  Spec file named correctly to match base
OK -  License is valid
OK -  Licence field matches package
OK -  Licence file installed if supplied
OK -  Spec file in American English
OK -  Source matches upstream (md5)
NA -  Locales use %find_lang
      No locales
OK -  %clean is present and correct
OK -  Package has correct buildroot.
OK -  Specfile Legible
OK -  Builds in Mock
NA -  %post/%postun calls ldconfig for sh libs
      No sh libs
OK -  Owns directories it creates
OK -  No duplicate files
OK -  Has %defattr and has correct permissions
OK -  Macros used consistantly
OK -  %doc does not affect runtime
NA -  Headers/static libs in -devel
NA -  .pc files in -devel
NA -  .so files in -devel
NA -  -devel requires base
      No devel
OK -  Contains no .la libtool archive files
OK -  Does not own others files
OK -  .desktop files installed correctly
OK -  BuildRequires correct.
OK -  Package is code or permissible content.
OK -  Package has rm -rf %{buildroot} at top of %install.
OK -  Package compiles and builds on at least one arch.
OK -  rpmlint output.
      1 Warning as explained in review.
NA -  documentation in -doc package
OK -  final provides and requires are sane.
OK -  should have dist tag
OK -  should package latest version

Comment 3 Ian Chapman 2007-10-02 09:01:30 EDT
Thanks for the review
Comment 4 Ian Chapman 2007-10-02 09:06:28 EDT
New Package CVS Request
Package Name: kbiof
Short Description: KDE port of the original BIOF XScreenSaver
Owners: oddsocks
Branches: FC-6 F-7
InitialCC: <empty>
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2007-10-02 12:07:36 EDT
cvs done.
Comment 6 Ian Chapman 2007-10-02 16:01:47 EDT

Note You need to log in before you can comment on or make changes to this bug.